|  | Home | Documentation | soap_wsrm_sequence Struct Reference updated by Robert van Engelen |

Public Attributes | List of all members
soap_wsrm_sequence Struct Reference

Linked list of currently active message sequences. More...

`#include <wsrmapi.h>`

Collaboration diagram for soap_wsrm_sequence:
[legend]

## Public Attributes

struct soap_wsrm_sequence * | next
size_t | refs
short | handle
short | ackreq
const char * | id
const char * | acksid
const char * | to
const char * | repto
const char * | acksto
time_t | timestamp
time_t | expires
int | retry
enum wsrm__IncompleteSequenceBehaviorType | behavior
ULONG64 | num
ULONG64 | recvnum
ULONG64 | lastnum
enum wsrm__FaultCodes | fault
enum soap_wsrm_state | state
struct soap_wsrm_message * | messages
struct soap_wsrm_message * | messageslast
struct soap_wsrm_range * | ranges
int | channel

## Detailed Description

Linked list of currently active message sequences.

## Member Data Documentation

## ◆ ackreq

short soap_wsrm_sequence::ackreq

ack requested by dest

## ◆ acksid

const char* soap_wsrm_sequence::acksid

sequence ID for ack requests (gen by source)

## ◆ acksto

const char* soap_wsrm_sequence::acksto

ack to endpoint

## ◆ behavior

enum wsrm__IncompleteSequenceBehaviorType soap_wsrm_sequence::behavior

## ◆ channel

int soap_wsrm_sequence::channel

callback WCF channel instance

## ◆ expires

time_t soap_wsrm_sequence::expires

date/time of expiration

## ◆ fault

enum wsrm__FaultCodes soap_wsrm_sequence::fault

sequence fault (use when error)

## ◆ handle

short soap_wsrm_sequence::handle

sequence in use by source (has a handle)

## ◆ id

const char* soap_wsrm_sequence::id

sequence ID (from dest)

## ◆ lastnum

ULONG64 soap_wsrm_sequence::lastnum

last message num received upon closing

## ◆ messages

struct soap_wsrm_message* soap_wsrm_sequence::messages

linked list of messages

## ◆ messageslast

struct soap_wsrm_message* soap_wsrm_sequence::messageslast

back insertion in message list

## ◆ next

struct soap_wsrm_sequence* soap_wsrm_sequence::next

next sequence

## ◆ num

ULONG64 soap_wsrm_sequence::num

message sequence num sent

## ◆ ranges

struct soap_wsrm_range* soap_wsrm_sequence::ranges

ranges of received messages

## ◆ recvnum

ULONG64 soap_wsrm_sequence::recvnum

message num received (used to be lastnum)

## ◆ refs

size_t soap_wsrm_sequence::refs

refs to sequence

## ◆ repto

const char* soap_wsrm_sequence::repto

reply to endpoint

## ◆ retry

int soap_wsrm_sequence::retry

retry count

## ◆ state

enum soap_wsrm_state soap_wsrm_sequence::state

sequence state

## ◆ timestamp

time_t soap_wsrm_sequence::timestamp

date/time of most recent update

## ◆ to

const char* soap_wsrm_sequence::to

to endpoint

The documentation for this struct was generated from the following file:

- wsrmapi.h